%% Coefficients for ny

function c_ny = c_ny(i,N)
persistent f;
if(isempty(f))
    %Values read from compressor chart (stage 2)
    ny_a = [0.715 0.725 0.735 0.74 0.72 0.58];
    q_a = [2200 2400 2600 2800 3000 3400];
    %Value for speed curve b has been removed due to polyfit problems
    %caused by its values.
    %ny_b = [0.71 0.73 0.74 0.74 0.72 0.68 0.6];
    %q_b = [2000 2200 2400 2600 2800 3000 3200];
    ny_c = [0.7 0.72 0.73 0.74 0.74 0.72 0.66];
    q_c = [1800 2000 2200 2400 2600 2800 3000];
    ny_d = [0.705 0.73 0.74 0.745 0.725 0.68 0.61];
    q_d = [1600 1800 2000 2200 2400 2600 2800];
    ny_e = [0.725 0.74 0.75 0.74 0.7 0.64];
    q_e = [1400 1600 1800 2000 2200 2400];
    ny_f = [0.725 0.74 0.75 0.74 0.71 0.66];
    q_f = [1300 1400 1600 1800 2000 2200];

    %Polynoms for speed curves (a=12867 b=12254 c=12014 d=11029 e=9803 f=9190)
    f_a = polyfit(q_a, ny_a, 3);
    %f_b = polyfit(q_b, ny_b, 3);
    f_c = polyfit(q_c, ny_c, 3);
    f_d = polyfit(q_d, ny_d, 3);
    f_e = polyfit(q_e, ny_e, 3);
    f_f = polyfit(q_f, ny_f, 3);

    %omega = [12867 12254 12014 11029 9803 9190];
    omega = [12867 12014 11029 9803 9190]; %Speed for the respective curves in rpm
    f = [];
    % Third order polynomial fit for the coefficients found above:
    for x=1:1:4
        %fx = polyfit(omega,[f_a(x) f_b(x) f_c(x) f_d(x) f_e(x) f_f(x)],3);
        fx = polyfit(omega,[f_a(x) f_c(x) f_d(x) f_e(x) f_f(x)],3); %uten b
        f=[f;fx];
    end
end

c_ny = f(i,1)*N.^3 + f(i,2)*N.^2 + f(i,3)*N + f(i,4); %Return coefficients  to ny_q

end