%% Compressor pressure ratio function

function phi_temp = phi_T(q,omega,T)    %Input arguments volume flow, speed and temperature, sec 3.3
T01 = 273+29.5;                         %Inlet temperature compressor chart, Figure 3.6
global kappa;                           %Global specific heat ratio natural gas

N = (30/pi)*omega;                      %Convert from rad/s to rev/min
phi_temp = (1 + (T01/T)*(phi_q(q,N)^((kappa-1)/kappa) - 1))^(kappa/(kappa-1)); %convert phi_q into phi_t, sec 3.3
end